#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private OrderflowsAbsorption[] cacheOrderflowsAbsorption;

		
		public OrderflowsAbsorption OrderflowsAbsorption()
		{
			return OrderflowsAbsorption(Input);
		}


		
		public OrderflowsAbsorption OrderflowsAbsorption(ISeries<double> input)
		{
			if (cacheOrderflowsAbsorption != null)
				for (int idx = 0; idx < cacheOrderflowsAbsorption.Length; idx++)
					if ( cacheOrderflowsAbsorption[idx].EqualsInput(input))
						return cacheOrderflowsAbsorption[idx];
			return CacheIndicator<OrderflowsAbsorption>(new OrderflowsAbsorption(), input, ref cacheOrderflowsAbsorption);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.OrderflowsAbsorption OrderflowsAbsorption()
		{
			return indicator.OrderflowsAbsorption(Input);
		}


		
		public Indicators.OrderflowsAbsorption OrderflowsAbsorption(ISeries<double> input )
		{
			return indicator.OrderflowsAbsorption(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.OrderflowsAbsorption OrderflowsAbsorption()
		{
			return indicator.OrderflowsAbsorption(Input);
		}


		
		public Indicators.OrderflowsAbsorption OrderflowsAbsorption(ISeries<double> input )
		{
			return indicator.OrderflowsAbsorption(input);
		}

	}
}

#endregion
